Index: issm/trunk-jpl/src/m/classes/matseaice.m
===================================================================
--- issm/trunk-jpl/src/m/classes/matseaice.m	(revision 18492)
+++ issm/trunk-jpl/src/m/classes/matseaice.m	(revision 18492)
@@ -0,0 +1,94 @@
+%MATSEAICE class definition
+%
+%   Usage:
+%      matseaice=matseaice();
+
+classdef matseaice
+	properties (SetAccess=public) 
+		poisson                = 0.;
+		young_modulus          = 0.;
+		damage                 = NaN;
+		ridging_exponent       = 0.;
+		cohesion               = 0.;
+		internal_friction_coef = 0.;
+		compression_coef       = 0.;
+		traction_coef          = 0.;
+	end
+	methods
+		function obj = matseaice(varargin) % {{{
+			switch nargin
+				case 0
+					obj=setdefaultparameters(obj);
+				case 1
+					inputstruct=varargin{1};
+					list1 = properties('matseaice');
+					list2 = fieldnames(inputstruct);
+					for i=1:length(list1)
+						fieldname = list1{i};
+						if ismember(fieldname,list2),
+							obj.(fieldname) = inputstruct.(fieldname);
+						end
+					end
+				otherwise
+					error('constructor not supported');
+			end
+		end % }}}
+		function obj = setdefaultparameters(obj) % {{{
+
+			%poisson modulus
+			obj.poisson=0.3;
+
+			%Young modulus
+			obj.young_modulus=9.e+9;
+
+			%ridging exponent
+			obj.ridging_exponent=-20.;
+
+			%Cohesion (Weiss 2007)
+			obj.cohesion = 40.e+3; %40 kPa
+
+			%internal_friction_coef 
+			obj.internal_friction_coef=0.7;
+
+			%compression_coef (Bouillon and Rampal 2014)
+			obj.compression_coef=5./2;
+
+			%traction_coef (Bouillon and Rampal 2014)
+			obj.traction_coef=5./6.;
+
+		end % }}}
+		function md = checkconsistency(obj,md,solution,analyses) % {{{
+			md = checkfield(md,'fieldname','materials.poisson','NaN',1,'>',0,'<',.5,'numel',1);
+			md = checkfield(md,'fieldname','materials.young_modulus','NaN',1,'>',0,'numel',1);
+			md = checkfield(md,'fieldname','materials.damage','NaN',1,'>=',0,'<',1,'size',[md.mesh.numberofelements 1]);
+			md = checkfield(md,'fieldname','materials.ridging_exponent','NaN',1,'<',0,'numel',1);
+			md = checkfield(md,'fieldname','materials.cohesion','NaN',1,'>',0,'numel',1);
+			md = checkfield(md,'fieldname','materials.internal_friction_coef','NaN',1,'>',0,'numel',1);
+			md = checkfield(md,'fieldname','materials.compression_coef','NaN',1,'>',1,'numel',1);
+			md = checkfield(md,'fieldname','materials.traction_coef','NaN',1,'>',0,'<',1,'numel',1);
+		end % }}}
+		function disp(obj) % {{{
+			disp(sprintf('   Sea Ice Material:'));
+
+			fielddisplay(obj,'poisson','poisson ratio for undamaged ice [no unit]');
+			fielddisplay(obj,'young_modulus','Young modulus for undamaged ice [Pa]');
+			fielddisplay(obj,'damage','damage, between 0 (no damage) and 1 (fully damaged)');
+			fielddisplay(obj,'ridging_exponent','Riging exponent (c, Hibler parameter) [no unit]');
+			fielddisplay(obj,'cohesion','cohesion (C) [Pa]');
+			fielddisplay(obj,'internal_friction_coef','Mohr-Coulomb internal friction coefficient (mu=tan(phi)) [no unit]');
+			fielddisplay(obj,'compression_coef','Ratio between cutoff compressive strength and the cohesion [no unit]');
+			fielddisplay(obj,'traction_coef','Ratio between cutoff tensile strength and Mohr-Coulomb tensile strength [no unit]');
+		end % }}}
+		function marshall(obj,md,fid) % {{{
+			WriteData(fid,'enum',MaterialsEnum(),'data',MatseaiceEnum(),'format','Integer');
+			WriteData(fid,'object',obj,'class','materials','fieldname','poisson','format','Double');
+			WriteData(fid,'object',obj,'class','materials','fieldname','young_modulus','format','Double');
+			WriteData(fid,'object',obj,'class','materials','fieldname','damage','format','DoubleMat','mattype',2);
+			WriteData(fid,'object',obj,'class','materials','fieldname','ridging_exponent','format','Double');
+			WriteData(fid,'object',obj,'class','materials','fieldname','cohesion','format','Double');
+			WriteData(fid,'object',obj,'class','materials','fieldname','internal_friction_coef','format','Double');
+			WriteData(fid,'object',obj,'class','materials','fieldname','compression_coef','format','Double');
+			WriteData(fid,'object',obj,'class','materials','fieldname','traction_coef','format','Double');
+		end % }}}
+	end
+end
Index: issm/trunk-jpl/src/m/classes/model.m
===================================================================
--- issm/trunk-jpl/src/m/classes/model.m	(revision 18491)
+++ issm/trunk-jpl/src/m/classes/model.m	(revision 18492)
@@ -39,4 +39,6 @@
 		gia              = 0;
 
+		seaice           = 0;
+
 		autodiff         = 0;
 		flaim            = 0;
@@ -132,4 +134,15 @@
 				case 0
 					md=setdefaultparameters(md);
+				case 1
+					if strcmpi(varargin{1},'seaice'),
+						md=setdefaultparameters(md);
+						md.materials = matseaice();
+						md.surfaceforcings = seaiceatm();
+						md.basalforcings   = seaiceocean();
+						md.initialization  = seaiceinitialization();
+					else
+						error('model constructor not supported yet');
+					end
+
 				otherwise
 					error('model constructor error message: 0 of 1 argument only in input.');
@@ -1118,4 +1131,5 @@
 			md.transient        = transient();
 			md.gia              = gia();
+			md.seaice           = seaice();
 			md.autodiff         = autodiff();
 			md.flaim            = flaim();
@@ -1295,4 +1309,5 @@
 			disp(sprintf('%19s: %-22s -- %s','radaroverlay'    ,['[1x1 ' class(obj.radaroverlay) ']'],'radar image for plot overlay'));
 			disp(sprintf('%19s: %-22s -- %s','miscellaneous'   ,['[1x1 ' class(obj.miscellaneous) ']'],'miscellaneous fields'));
+			disp(sprintf('%19s: %-22s -- %s','seaice'       ,['[1x1 ' class(obj.seaice) ']'],'parameters for Sea Ice solution'));
 		end % }}}
 		function memory(obj) % {{{
Index: issm/trunk-jpl/src/m/classes/seaice.m
===================================================================
--- issm/trunk-jpl/src/m/classes/seaice.m	(revision 18492)
+++ issm/trunk-jpl/src/m/classes/seaice.m	(revision 18492)
@@ -0,0 +1,41 @@
+%SEAICE class definition
+%
+%   Usage:
+%      seaice=seaice();
+
+classdef seaice
+	properties (SetAccess=public) 
+		thickness     = NaN;
+		concentration = NaN;
+		spcvx         = NaN;
+		spcvy         = NaN;
+	end
+	methods
+		function obj = seaice(varargin) % {{{
+			switch nargin
+				case 0
+					return;
+				otherwise
+					error('constructor not supported');
+			end
+		end % }}}
+		function md = checkconsistency(obj,md,solution,analyses) % {{{
+			md = checkfield(md,'fieldname','seaice.thickness','size',[md.mesh.numberofelements 1],'NaN',1,'>=',0);
+			md = checkfield(md,'fieldname','seaice.concentration','size',[md.mesh.numberofelements 1],'NaN',1,'>=',0);
+			md = checkfield(md,'fieldname','seaice.spcvx','size',[md.mesh.numberofvertices 1]);
+			md = checkfield(md,'fieldname','seaice.spcvy','size',[md.mesh.numberofvertices 1]);
+		end % }}}
+		function disp(obj) % {{{
+			disp(sprintf('   seaice parameters:'));
+			fielddisplay(obj,'thickness','sea ice thickness [m]');
+			fielddisplay(obj,'spcvx','x-axis velocity constraint (NaN means no constraint) [m/s]');
+			fielddisplay(obj,'spcvy','y-axis velocity constraint (NaN means no constraint) [m/s]');
+		end % }}}
+		function marshall(obj,md,fid) % {{{
+			WriteData(fid,'object',obj,'fieldname','thickness','format','DoubleMat','mattype',2);
+			WriteData(fid,'object',obj,'fieldname','concentration','format','DoubleMat','mattype',2);
+			WriteData(fid,'object',obj,'fieldname','spcvx','format','DoubleMat','mattype',1);
+			WriteData(fid,'object',obj,'fieldname','spcvy','format','DoubleMat','mattype',1);
+		end % }}}
+	end
+end
Index: issm/trunk-jpl/src/m/classes/seaiceatm.m
===================================================================
--- issm/trunk-jpl/src/m/classes/seaiceatm.m	(revision 18492)
+++ issm/trunk-jpl/src/m/classes/seaiceatm.m	(revision 18492)
@@ -0,0 +1,65 @@
+%SEAICEATM Class definition
+%
+%   Usage:
+%      seaiceatm=seaiceatm();
+
+classdef seaiceatm
+	properties (SetAccess=public) 
+		rho_air            = 0.;
+		air_coef           = 0.;
+		air_lin_drag_coef  = 0.;
+		air_quad_drag_coef = 0.;
+		wind_vx            = NaN;
+		wind_vy            = NaN;
+	end
+	methods
+		function obj = seaiceatm(varargin) % {{{
+			switch nargin
+				case 0
+					obj=setdefaultparameters(obj);
+				otherwise
+					error('constructor not supported');
+			end
+		end % }}}
+		function obj = setdefaultparameters(obj) % {{{
+
+			%air density (kg/m^3)
+			obj.rho_air=1.3;
+
+			%By default, we apply the full stress
+			obj.air_coef = 1.;
+
+			%drag coefficients (different from Hibler 0.0012)
+			obj.air_lin_drag_coef  = 0.;
+			obj.air_quad_drag_coef = 0.003;
+
+		end % }}}
+		function md = checkconsistency(obj,md,solution,analyses) % {{{
+			md = checkfield(md,'fieldname','surfaceforcings.rho_air','NaN',1,'>',0.,'numel',1);
+			md = checkfield(md,'fieldname','surfaceforcings.air_coef','NaN',1,'>=',0.,'<=',1,'numel',1);
+			md = checkfield(md,'fieldname','surfaceforcings.air_lin_drag_coef','NaN',1,'>=',0.,'numel',1);
+			md = checkfield(md,'fieldname','surfaceforcings.air_quad_drag_coef','NaN',1,'>=',0.,'numel',1);
+			md = checkfield(md,'fieldname','surfaceforcings.wind_vx','NaN',1,'size',[md.mesh.numberofvertices 1]);
+			md = checkfield(md,'fieldname','surfaceforcings.wind_vy','NaN',1,'size',[md.mesh.numberofvertices 1]);
+		end % }}}
+		function disp(obj) % {{{
+			disp(sprintf('   Atmospheric forcings for sea ice:'));
+			disp(sprintf('\n     tau_a = air_coef*rho_air*(air_lin_drag_coef+air_quad_drag_coef*|v_wind|)*v_wind\n'));
+			fielddisplay(obj,'rho_air','air density [kg/m^3]');
+			fielddisplay(obj,'air_coef','atmospheric stress spin up coefficient (between 0 and 1)');
+			fielddisplay(obj,'air_lin_drag_coef','air linear drag coefficient (no unit)');
+			fielddisplay(obj,'air_quad_drag_coef','air quadratic drag coefficient [s/m]');
+			fielddisplay(obj,'wind_vx','wind speed x-component at 10 m elevation [m/s]');
+			fielddisplay(obj,'wind_vy','wind speed y-component at 10 m elevation [m/s]');
+		end % }}}
+		function marshall(obj,md,fid) % {{{
+			WriteData(fid,'enum',SurfaceforcingsEnum(),'data',SeaiceatmEnum(),'format','Integer');
+			WriteData(fid,'object',obj,'class','surfaceforcings','fieldname','rho_air','format','Double');
+			WriteData(fid,'object',obj,'class','surfaceforcings','fieldname','air_coef','format','Double');
+			WriteData(fid,'object',obj,'class','surfaceforcings','fieldname','air_lin_drag_coef','format','Double');
+			WriteData(fid,'object',obj,'class','surfaceforcings','fieldname','air_quad_drag_coef','format','Double');
+			WriteData(fid,'object',obj,'class','surfaceforcings','fieldname','wind_vx','format','DoubleMat','mattype',1);
+			WriteData(fid,'object',obj,'class','surfaceforcings','fieldname','wind_vy','format','DoubleMat','mattype',1);
+		end % }}}
+	end
+end
Index: issm/trunk-jpl/src/m/classes/seaiceinitialization.m
===================================================================
--- issm/trunk-jpl/src/m/classes/seaiceinitialization.m	(revision 18492)
+++ issm/trunk-jpl/src/m/classes/seaiceinitialization.m	(revision 18492)
@@ -0,0 +1,42 @@
+%SEAICEINITIALIZATION class definition
+%
+%   Usage:
+%      seaiceinitialization=seaiceinitialization();
+
+classdef seaiceinitialization
+	properties (SetAccess=public) 
+		vx          = NaN;
+		vy          = NaN;
+		vx_coriolis = NaN;
+		vy_coriolis = NaN;
+	end
+	methods
+		function obj = seaiceinitialization(varargin) % {{{
+			switch nargin
+				case 0
+					return;
+				otherwise
+					error('constructor not supported');
+			end
+		end % }}}
+		function md = checkconsistency(obj,md,solution,analyses) % {{{
+			md = checkfield(md,'fieldname','initialization.vx','NaN',1,'size',[md.mesh.numberofvertices 1]);
+			md = checkfield(md,'fieldname','initialization.vy','NaN',1,'size',[md.mesh.numberofvertices 1]);
+			md = checkfield(md,'fieldname','initialization.vx_coriolis','NaN',1,'size',[md.mesh.numberofvertices 1]);
+			md = checkfield(md,'fieldname','initialization.vy_coriolis','NaN',1,'size',[md.mesh.numberofvertices 1]);
+		end % }}}
+		function disp(obj) % {{{
+			disp(sprintf('   initial field values:'));
+			fielddisplay(obj,'vx','x component of the ice velocity [m/s]');
+			fielddisplay(obj,'vy','y component of the ice velocity [m/s]');
+			fielddisplay(obj,'vx_coriolis','x component of the ice velocity used to calculate coriolis forces [m/s]');
+			fielddisplay(obj,'vy_coriolis','y component of the ice velocity used to calculate coriolis forces [m/s]');
+		end % }}}
+		function marshall(obj,md,fid) % {{{
+			WriteData(fid,'data',obj.vx,'format','DoubleMat','mattype',1,'enum',VxEnum);
+			WriteData(fid,'data',obj.vy,'format','DoubleMat','mattype',1,'enum',VyEnum);
+			WriteData(fid,'data',obj.vx_coriolis,'format','DoubleMat','mattype',1,'enum',VxStarEnum);
+			WriteData(fid,'data',obj.vy_coriolis,'format','DoubleMat','mattype',1,'enum',VyStarEnum);
+		end % }}}
+	end
+end
Index: issm/trunk-jpl/src/m/classes/seaiceocean.m
===================================================================
--- issm/trunk-jpl/src/m/classes/seaiceocean.m	(revision 18492)
+++ issm/trunk-jpl/src/m/classes/seaiceocean.m	(revision 18492)
@@ -0,0 +1,76 @@
+%SEAICEOCEAN Class definition
+%
+%   Usage:
+%      seaiceocean=seaiceocean();
+
+classdef seaiceocean
+	properties (SetAccess=public) 
+		rho_ocean            = 0.;
+		ocean_coef           = 0.;
+		ocean_lin_drag_coef  = 0.;
+		ocean_quad_drag_coef = 0.;
+		ocean_turning_angle  = 0.;
+		ocean_ssh            = NaN;
+		ocean_vx             = NaN;
+		ocean_vy             = NaN;
+	end
+	methods
+		function obj = seaiceocean(varargin) % {{{
+			switch nargin
+				case 0
+					obj=setdefaultparameters(obj);
+				otherwise
+					error('constructor not supported');
+			end
+		end % }}}
+		function obj = setdefaultparameters(obj) % {{{
+
+			%ocean density (kg/m^3)
+			obj.rho_ocean=1025.;
+
+			%By default, we apply the full stress
+			obj.ocean_coef = 1.;
+
+			%drag coefficients (different from Hibler 0.0055)
+			obj.ocean_lin_drag_coef  = 0.;
+			obj.ocean_quad_drag_coef = 0.004;
+
+			%Turning angle in degrees (McPhee 1998)
+			obj.ocean_turning_angle = 25.;
+
+		end % }}}
+		function md = checkconsistency(obj,md,solution,analyses) % {{{
+			md = checkfield(md,'fieldname','basalforcings.rho_ocean','NaN',1,'>',0.,'numel',1);
+			md = checkfield(md,'fieldname','basalforcings.ocean_coef','NaN',1,'>=',0.,'<=',1.,'numel',1);
+			md = checkfield(md,'fieldname','basalforcings.ocean_lin_drag_coef','NaN',1,'>=',0.,'numel',1);
+			md = checkfield(md,'fieldname','basalforcings.ocean_quad_drag_coef','NaN',1,'>=',0.,'numel',1);
+			md = checkfield(md,'fieldname','basalforcings.ocean_turning_angle','NaN',1,'>=',0.,'<',90,'numel',1);
+			md = checkfield(md,'fieldname','basalforcings.ocean_ssh','NaN',1,'size',[md.mesh.numberofvertices 1]);
+			md = checkfield(md,'fieldname','basalforcings.ocean_vx','NaN',1,'size',[md.mesh.numberofvertices 1]);
+			md = checkfield(md,'fieldname','basalforcings.ocean_vy','NaN',1,'size',[md.mesh.numberofvertices 1]);
+		end % }}}
+		function disp(obj) % {{{
+			disp(sprintf('   Ocean forcings for sea ice:'));
+			%disp(sprintf('\n     tau_b = ocean_coef*rho_ocean*...'));
+			fielddisplay(obj,'rho_ocean','ocean density [kg/m^3]');
+			fielddisplay(obj,'ocean_coef','ocean stress spin up coefficient (between 0 and 1)');
+			fielddisplay(obj,'ocean_lin_drag_coef','ocean linear drag coefficient [Pa/(m/s)]');
+			fielddisplay(obj,'ocean_quad_drag_coef','ocean quadratic drag coefficient [Pa/(m/s)^2]');
+			fielddisplay(obj,'ocean_turning_angle','ocean turning angle [degree]');
+			fielddisplay(obj,'ocean_ssh','ocean sea surface height [m]');
+			fielddisplay(obj,'ocean_vx','ocean speed x-component [m/s]');
+			fielddisplay(obj,'ocean_vy','ocean speed y-component [m/s]');
+		end % }}}
+		function marshall(obj,md,fid) % {{{
+			WriteData(fid,'enum',BasalforcingsEnum(),'data',SeaiceoceanEnum(),'format','Integer');
+			WriteData(fid,'object',obj,'class','basalforcings','fieldname','rho_ocean','format','Double');
+			WriteData(fid,'object',obj,'class','basalforcings','fieldname','ocean_coef','format','Double');
+			WriteData(fid,'object',obj,'class','basalforcings','fieldname','ocean_lin_drag_coef','format','Double');
+			WriteData(fid,'object',obj,'class','basalforcings','fieldname','ocean_quad_drag_coef','format','Double');
+			WriteData(fid,'object',obj,'class','basalforcings','fieldname','ocean_turning_angle','format','Double');
+			WriteData(fid,'object',obj,'class','basalforcings','fieldname','ocean_ssh','format','DoubleMat','mattype',1);
+			WriteData(fid,'object',obj,'class','basalforcings','fieldname','ocean_vx','format','DoubleMat','mattype',1);
+			WriteData(fid,'object',obj,'class','basalforcings','fieldname','ocean_vy','format','DoubleMat','mattype',1);
+		end % }}}
+	end
+end
Index: issm/trunk-jpl/src/m/classes/stressbalance.m
===================================================================
--- issm/trunk-jpl/src/m/classes/stressbalance.m	(revision 18491)
+++ issm/trunk-jpl/src/m/classes/stressbalance.m	(revision 18492)
@@ -210,4 +210,10 @@
 		function marshall(obj,md,fid) % {{{
 
+			WriteData(fid,'object',obj,'class','stressbalance','fieldname','vertex_pairing','format','DoubleMat','mattype',3);
+
+			if md.private.solution==SeaiceSolutionEnum,
+				return;
+			end
+
 			yts=365.0*24.0*3600.0;
 
@@ -223,5 +229,4 @@
 			WriteData(fid,'object',obj,'class','stressbalance','fieldname','maxiter','format','Integer');
 			WriteData(fid,'object',obj,'class','stressbalance','fieldname','shelf_dampening','format','Integer');
-			WriteData(fid,'object',obj,'class','stressbalance','fieldname','vertex_pairing','format','DoubleMat','mattype',3);
 			WriteData(fid,'object',obj,'class','stressbalance','fieldname','penalty_factor','format','Double');
 			WriteData(fid,'object',obj,'class','stressbalance','fieldname','rift_penalty_lock','format','Integer');
Index: issm/trunk-jpl/src/m/consistency/ismodelselfconsistent.m
===================================================================
--- issm/trunk-jpl/src/m/consistency/ismodelselfconsistent.m	(revision 18491)
+++ issm/trunk-jpl/src/m/consistency/ismodelselfconsistent.m	(revision 18492)
@@ -91,4 +91,7 @@
 		analyses=[DamageEvolutionAnalysisEnum()];
 
+	case SeaiceSolutionEnum(),
+		analyses=[SeaiceAnalysisEnum()];
+
 	otherwise
 		error('%s%s%s',' solution type: ',EnumToString(solutiontype),' not supported yet!');
Index: issm/trunk-jpl/src/m/enum/EnumDefinitions.py
===================================================================
--- issm/trunk-jpl/src/m/enum/EnumDefinitions.py	(revision 18491)
+++ issm/trunk-jpl/src/m/enum/EnumDefinitions.py	(revision 18492)
@@ -382,4 +382,6 @@
 def GiaSolutionEnum(): return StringToEnum("GiaSolution")[0]
 def GiaAnalysisEnum(): return StringToEnum("GiaAnalysis")[0]
+def SeaiceSolutionEnum(): return StringToEnum("SeaiceSolution")[0]
+def SeaiceAnalysisEnum(): return StringToEnum("SeaiceAnalysis")[0]
 def MeshdeformationSolutionEnum(): return StringToEnum("MeshdeformationSolution")[0]
 def MeshdeformationAnalysisEnum(): return StringToEnum("MeshdeformationAnalysis")[0]
@@ -694,3 +696,34 @@
 def LevelsetfunctionSlopeYEnum(): return StringToEnum("LevelsetfunctionSlopeY")[0]
 def LevelsetfunctionPicardEnum(): return StringToEnum("LevelsetfunctionPicard")[0]
+def SeaiceatmEnum(): return StringToEnum("Seaiceatm")[0]
+def SeaiceoceanEnum(): return StringToEnum("Seaiceocean")[0]
+def SeaiceThicknessEnum(): return StringToEnum("SeaiceThickness")[0]
+def SeaiceConcentrationEnum(): return StringToEnum("SeaiceConcentration")[0]
+def SeaiceSpcvxEnum(): return StringToEnum("SeaiceSpcvx")[0]
+def SeaiceSpcvyEnum(): return StringToEnum("SeaiceSpcvy")[0]
+def BasalforcingsRhoOceanEnum(): return StringToEnum("BasalforcingsRhoOcean")[0]
+def BasalforcingsOceanCoefEnum(): return StringToEnum("BasalforcingsOceanCoef")[0]
+def BasalforcingsOceanLinDragCoefEnum(): return StringToEnum("BasalforcingsOceanLinDragCoef")[0]
+def BasalforcingsOceanQuadDragCoefEnum(): return StringToEnum("BasalforcingsOceanQuadDragCoef")[0]
+def BasalforcingsOceanTurningAngleEnum(): return StringToEnum("BasalforcingsOceanTurningAngle")[0]
+def BasalforcingsOceanSshEnum(): return StringToEnum("BasalforcingsOceanSsh")[0]
+def BasalforcingsOceanVxEnum(): return StringToEnum("BasalforcingsOceanVx")[0]
+def BasalforcingsOceanVyEnum(): return StringToEnum("BasalforcingsOceanVy")[0]
+def SurfaceforcingsRhoAirEnum(): return StringToEnum("SurfaceforcingsRhoAir")[0]
+def SurfaceforcingsAirCoefEnum(): return StringToEnum("SurfaceforcingsAirCoef")[0]
+def SurfaceforcingsAirLinDragCoefEnum(): return StringToEnum("SurfaceforcingsAirLinDragCoef")[0]
+def SurfaceforcingsAirQuadDragCoefEnum(): return StringToEnum("SurfaceforcingsAirQuadDragCoef")[0]
+def SurfaceforcingsWindVxEnum(): return StringToEnum("SurfaceforcingsWindVx")[0]
+def SurfaceforcingsWindVyEnum(): return StringToEnum("SurfaceforcingsWindVy")[0]
+def MatseaiceEnum(): return StringToEnum("Matseaice")[0]
+def MaterialsPoissonEnum(): return StringToEnum("MaterialsPoisson")[0]
+def MaterialsYoungModulusEnum(): return StringToEnum("MaterialsYoungModulus")[0]
+def MaterialsDamageEnum(): return StringToEnum("MaterialsDamage")[0]
+def MaterialsRidgingExponentEnum(): return StringToEnum("MaterialsRidgingExponent")[0]
+def MaterialsCohesionEnum(): return StringToEnum("MaterialsCohesion")[0]
+def MaterialsInternalFrictionCoefEnum(): return StringToEnum("MaterialsInternalFrictionCoef")[0]
+def MaterialsCompressionCoefEnum(): return StringToEnum("MaterialsCompressionCoef")[0]
+def MaterialsTractionCoefEnum(): return StringToEnum("MaterialsTractionCoef")[0]
+def VxStarEnum(): return StringToEnum("VxStar")[0]
+def VyStarEnum(): return StringToEnum("VyStar")[0]
 def MaximumNumberOfDefinitionsEnum(): return StringToEnum("MaximumNumberOfDefinitions")[0]
